require sync plan interval on new sync plan?
Assignee:    

Category: Web UI   

Target version: Katello 2.1   
Pull request: https://github.com/Katello/katello/pull/465
Description

Creating a new sync plan without an interval can be confusing for new users, such as myself, when the created plan fails to ever run

due to not selecting interval.

I would suggest the following:

1. Make interval a required field on creating a new plan.

2. Replace "none" with "disabled" to clearly indicate that this plan will not run.

3. Force the user to select an interval (ie. don't have it default to "disabled".

Associated revisions

Revision 9291c476 - 09/23/2014 02:59 AM - Ondřej Pražák

Fixes #6912/BZ 1126446 - Sync Plan enabled by default, checkbox to disable on edit

Revision 93ce3130 - 09/23/2014 09:13 AM - Walden Raines

Merge pull request #4651 from xprazak2/bug6912-sync-plan-model-change

Fixes #6912/BZ 1126446 - Sync Plan enabled by default,

History

#1 - 08/04/2014 09:01 AM - Thomas McKay

- Bugzilla link set to 1126446

#2 - 08/04/2014 10:38 AM - Eric Helms

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 09/11/2014 08:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 56

- Pull request https://github.com/Katello/katello/pull/4651 added

- Pull request deleted ()

#4 - 09/23/2014 10:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|9291c476f387d38e34084e7378a79348cb41506b.

#5 - 11/21/2014 10:42 AM - Eric Helms
https://projects.theforeman.org/projects/katello/repository/katello/revisions/9291c476f387d38e34084e7378a79348cb41506b


- translation missing: en.field_release set to 14
